Bug 103945 - KDE slows down after being up for few days
KDE slows down after being up for few days
Status: CLOSED CANTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 04:52 EDT by Jaanus Kivistik
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 15:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaanus Kivistik 2003-09-08 04:52:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:
KDE slows down considerably after being continuously up for few days. Mouse
counter becomes jumpy, window focus change takes significantly more time than
specified in "Auto raise delay". First few days the system is OK, then gets
gradually slower. After a week I have to restart kde (logoff, restarts also the
X server). After relogon, things are again snappy for a few days. I mainly run
10-20 xterms, mozilla, kmail and psi. Killing individual apps does not restore
quick response. Some swap space is used, and overall memory usage also rises
continously.
However, system is not constantly swapping and it is also slow during time it is
certainly _not_ swapping (no disk activity). 

All packages are from current Rawhide tree, only kernel is stock rh9.
Using rawhide kernel didn't introduce any change in this pattern. This behaviour
started few months ago, in June or May.

Version-Release number of selected component (if applicable):
kdebase-3.1.3-7

How reproducible:
Always

Steps to Reproduce:
1. Start up your normal set of programs.
2. Work for a week.

    

Actual Results:  System latency is very poor.

Expected Results:  System latency should not degrade significantly.

Additional info:

Output from free from "fresh" kde session:
             total       used       free     shared    buffers     cached
Mem:        513804     507268       6536          0      45828     206468
-/+ buffers/cache:     254972     258832
Swap:      1004020       9252     994768


Ouput from a session running for a week:
total used free shared buffers cached
Mem: 513804 507112 6692 0 40240 126308
/+ buffers/cache: 340564 173240
Swap: 1004020 182824 821196

System configuration: Cel1700, 512MB RAM.
Nothing cpu-intensive running in background.
Comment 1 Bill Nottingham 2006-08-07 21:56:17 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 15:36:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.